
package org.objectweb.fractal.cecilia.adl.implementations;

import org.objectweb.fractal.adl.implementations.Implementation;

/**
 * AST Node interface which adds a <code>language</code> attribute to
 * <code>implementation</code> element.
 */
public interface ExtendedImplementation extends Implementation {
  /**
   * Returns the language of the implementation.
   * 
   * @return the language of the implementation.
   */
  String getLanguage();

  /**
   * Set the language of the implementation.
   * 
   * @param language the language of the implementation.
   */
  void setLanguage(String language);
}
